<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>pdf_add_bookmark</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="F&uuml;gt ein Lesezeichen in die aktuelle Seite ein">
<meta name="keywords"       content="SELFPHP, PHP, PDF-Funktionen, pdf_add_bookmark">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-21T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/pdf_funktionen/pdf_add_bookmark.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-21T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // PDF-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>PDF-Funktionen</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
<td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>pdf_add_bookmark</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">int <b>pdf_add_bookmark</b>(int PDF-Dokument, 
      string Text [, int Mutter [, int offen]])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 4 &gt;= 4.0.1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit pdf_add_bookmark() f&uuml;gt man innerhalb eines PDF-Dokuments (PDF-<br>
        Dokument) ein Lesezeichen (Text) f&uuml;r die aktuelle Seite hinzu. Das 
        Lesezeichen<br>
        funktioniert, &auml;hnlich wie ein Eintrag im Inhaltsverzeichnis, als 
        Sprungmarke zu<br>
        einer bestimmten Seite.<br>
        R&uuml;ckgabewert der Funktion ist die ID des neuen Lesezeichens.<br>
        Sie k&ouml;nnen Lesezeichen hierarchisch sortieren. Jeder neuen Hauptgruppe 
        (Mutter)<br>
        k&ouml;nnen Sie weitere Untergruppen zuordnen, welche wiederum eigene<br>
        Untergruppen besitzen k&ouml;nnen. Eine Untergruppe kann so also auch 
        zu einer<br>
        Hauptgruppe werden und weitere Lesezeichen umfassen. Wenn Sie ein Lesezeichen<br>
        oder eine neue Untergruppe anlegen wollen, k&ouml;nnen Sie im Parameter 
        Mutter die ID<br>
        der &uuml;bergeordneten Gruppe angeben, zu der das Lesezeichen bzw. die 
        Untergruppe<br>
        geh&ouml;ren soll.<br>
        Sie k&ouml;nnen mit dem optionalen Parameter offen bestimmen, ob das Inhaltsverzeichnis<br>
        einer bestimmten Gruppe beim &Ouml;ffnen des PDF-Dokuments aus- oder eingeklappt<br>
        sein soll. Soll das Inhaltsverzeichnis ausgeklappt sein, so brauchen Sie 
        nur f&uuml;r offen<br>
        einen Wert ungleich 0 (Null) angeben.<br>
        Der optionale Parameter offen ist nur im Zusammenhang mit einer Gruppe 
        (Mutter)<br>
        erlaubt. Da aber die oberste Hauptgruppe (das erste Lesezeichen) keine 
        &quot;Mutter&quot;<br>
        besitzt, k&ouml;nnen Sie einfach einen nicht existenten R&uuml;ckgabewert 
        (im Beispiel $_x)<br>
        als Gruppen-ID verwenden.<br>
        Beim &Ouml;ffnen des unteren Beispiels klappt die Gruppe &quot;2. Ebene&quot; 
        sofort auf,<br>
        w&auml;hrend die &quot;1. Ebene&quot; geschlossen bleibt.</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="pdf_add_outline.html">pdf_add_outline()</a></li>
        <li><a href="pdf_begin_page.html">pdf_begin_page()</a></li>
        <li><a href="pdf_end_page.html">pdf_end_page()</a></li>
        <li><a href="pdf_show_xy.html">pdf_show_xy()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$ebene1 = &quot;1. Ebene&quot;;<br>$ebene2 = &quot;1.1 Ebene&quot;;<br>$ebene3 = &quot;2. Ebene&quot;;<br>$ebene4 = &quot;2.1 Ebene&quot;;<br>$ebene5 = &quot;2.2 Ebene&quot;;<br>$file = fopen(&quot;php.pdf&quot;, &quot;w&quot;); <br>$dokument = pdf_open($file); <br>pdf_begin_page($dokument,200, 100); <br>$m1 = pdf_add_bookmark ($dokument, $ebene1);<br>$m2 = pdf_add_bookmark ($dokument, $ebene2, $m1);<br>$m3 = pdf_add_bookmark ($dokument,$ebene3,$_x,1);<br>$m4 = pdf_add_bookmark ($dokument, $ebene4, $m3);<br>$m5 = pdf_add_bookmark ($dokument, $ebene5, $m4);<br>pdf_end_page($dokument); <br>pdf_close($dokument); <br>fclose($file); <br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p><img src="../funktionsgrafiken/pdf_add_bookmark.gif" width="385" height="218"></p>
      <p><b>Achtung:</b> Bei der Ausgabe des Befehls wird im Browser nichts<br>
        zur&uuml;ckgegeben. Die obenstehende Grafik wurde im Acrobat-<br>
        Reader ge&ouml;ffnet um die Wirkungsweise des Befehls zu zeigen.</p>
      </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="pdf_add_launchlink.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="pdf_add_launchlink.html"><b>pdf_add_launchlink</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="pdf_add_annotation.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="pdf_add_annotation.html"><b>pdf_add_annotation</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>PDF-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>